Package waffle.servlet

## Class AutoDisposableWindowsPrincipal

- java.lang.Object
- - waffle.servlet.WindowsPrincipal
  - - waffle.servlet.AutoDisposableWindowsPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`, `EventListener`, `javax.servlet.http.HttpSessionBindingListener`

    public class AutoDisposableWindowsPrincipal
    extends WindowsPrincipal
    implements javax.servlet.http.HttpSessionBindingListener

The Class AutoDisposableWindowsPrincipal.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`AutoDisposableWindowsPrincipal​(IWindowsIdentity windowsIdentity)` Instantiates a new auto disposable windows principal.
`AutoDisposableWindowsPrincipal​(IWindowsIdentity windowsIdentity, PrincipalFormat principalFormat, PrincipalFormat roleFormat)` Instantiates a new auto disposable windows principal.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `valueBound​(javax.servlet.http.HttpSessionBindingEvent evt)`
`void` `valueUnbound​(javax.servlet.http.HttpSessionBindingEvent evt)`

### Methods inherited from class waffle.servlet.WindowsPrincipal

`equals, getGroups, getIdentity, getName, getRolesString, getSid, getSidString, hashCode, hasRole, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

### Constructor Detail

#### AutoDisposableWindowsPrincipal

    public AutoDisposableWindowsPrincipal​(IWindowsIdentity windowsIdentity)

Instantiates a new auto disposable windows principal.

Parameters:
  `windowsIdentity` - the windows identity

#### AutoDisposableWindowsPrincipal

    public AutoDisposableWindowsPrincipal​(IWindowsIdentity windowsIdentity,
                                          PrincipalFormat principalFormat,
                                          PrincipalFormat roleFormat)

Instantiates a new auto disposable windows principal.

Parameters:
  `windowsIdentity` - the windows identity
  `principalFormat` - the principal format
  `roleFormat` - the role format

### Method Detail

#### valueBound

    public void valueBound​(javax.servlet.http.HttpSessionBindingEvent evt)

Specified by:
  `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

#### valueUnbound

    public void valueUnbound​(javax.servlet.http.HttpSessionBindingEvent evt)

Specified by:
  `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`